Remove the team player photo
DELETE/v1/teams/{teamId}/players/{playerId}/photo
DELETE
/v1/teams/{teamId}/players/{playerId}/photo
const url = 'https://api.ligr.live/rest/v1/teams/1/players/1/photo';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://api.ligr.live/rest/v1/teams/1/players/1/photo \ --header 'Authorization: Bearer <token>'Removes the photo of a player on the roster of a team. The response has the same shape as an item of GET /v1/teams/{teamId}/players.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”teamId
required
Entity identifier
integer format: int32
The team id
playerId
required
Entity identifier
integer format: int32
The player id
Responses
Section titled “Responses”Ok
Media typeapplication/json
object
id
required
Entity identifier
integer format: int32
firstName
required
Default Player first name
string
gfxFirstName
required
Name predominantly display in graphics
string
gfxLastName
required
Name predominantly display in graphics
string
lastName
required
Default Player first name
string
position
required
string
positionType
required
string
number
required
string
starter
required
boolean
bench
required
boolean
captain
required
boolean
photoUrl
string
Examplegenerated
{ "id": 1, "firstName": "example", "gfxFirstName": "example", "gfxLastName": "example", "lastName": "example", "position": "example", "positionType": "example", "number": "example", "starter": true, "bench": true, "captain": true, "photoUrl": "example"}